Subject: Re: cygwin
From: Heinz-Juergen Oertel <[email-masked]>
To: "'Cygwin mailing list'" <[email-masked]>
Date: Wed, 31 May 2000 09:47:52 +0200

Dietmar Lettau wrote:
> 
> Hi,
> 
> I use cygwin with w98.
> My question: how to install a thing like "/etc/profiles" or ~/.bashrc ?
> I want automatically some aliases to be loaded at startup.
> 
> The bash uses c:\ as root (I assume: there lies the .bash_history), but
> it won't help when I place a '.bashrc' there (written with lower case).
> 
> Please excuse my bad english,
> 
> greetings
> Dietmar
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

for using these files (.profile, .bashrc) in a "home"
you must have a HOME variable set with your home-path.

mkdir /home
mkdir /home/dietmar

cp .bashrc /home/dietmar

HOME must e set before calling bash, e.g. in a startup.bat (cygnus.bat)
set HOME c:\home\dietmar

works for me with cygwin b20.1

-- 
with best regards / mit freundlichen Grüßen

   Heinz-Jürgen Oertel

===========================================
Heinz-Jürgen Oertel
port GmbH            phone +49 345 77755-0
Regensburger Str. 7c fax   +49 345 77755-20
D-06132 Halle/Saale  mailto:[email-masked]
Germany              http://www.port.de
===========================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]